Subject: bug#74792: 29.2.50; goto-address-mode should support RET in special-mode buffers

From: Juri Linkov <[email-masked]>
Date: Fri, 04 Apr 2025 09:51:14 +0300

> As a more broad change which might also be useful, it would be nice if
> there was a way to get goto-address-mode to use button.el buttons
> instead of its own custom overlays.  Or perhaps to use wid-edit.el
> widgets.
>
> I say this because if I have:
> - A buffer that has buttons or widgets
> - where TAB is bound to button-forward or widget-forward to navigate
>   between buttons,
> - and which also contains some arbitrary stretches of text (e.g. commit messages)
> - and which wants to make URLs in that text clickable
>
> It would be nice to be able to use goto-address-mode to do this.  But it
> would also be nice if goto-address-mode made the URLs into button.el
> buttons or widgets, so that TAB navigated to the URLs too.
>
> Perhaps this is just something the individual major mode should
> implement, though?  But maybe there's some opportunity for sharing some
> code to do the task "turn some text matching a regex into a
> button/widget"?

Allowing TAB to navigate to the next URL would be nice.
I don't know how easy is to add button.el buttons to goto-addr.el.
Alternatively, goto-address-highlight-keymap could have
a goto-address specific command to go to the next
'goto-address' overlay.